using System;
using System.IO;

namespace Siberix.Examples
{
	class Example
	{
		static void Main(string[] args)
		{
			// Report
			Siberix.Report.Report report = new Siberix.Report.Report();

			// Info
			report.Info.Title = "Example";
			report.Info.Author = "Siberix Technologies, Canada";
			report.Info.Creator = "Siberix Report Writer";
			report.Info.Copyright = "2003-2012 Siberix Technologies, Canada";

			// Section
			Siberix.Report.Section.ISection section = report.AddSection();
			section.Size = Siberix.Report.PageSize.Letter;
			section.Spacings.All = 35;

			// Styles
			Siberix.Report.Text.Style style1 = new Siberix.Report.Text.Style(new Siberix.Graphics.Fonts.Arial(10), Siberix.Graphics.Brushes.DarkBlue);
			style1.Underline = Siberix.Graphics.Pens.DarkBlue;

			// Hyperlinks
			Siberix.Report.Text.IText text = section.AddText();
			text.Style = style1;
			text.Spacings.Top = 5;
			text.Id = "Link1";
			text.AddContent("Next link", new Siberix.Report.Text.Hyperlink("Link2"));

			text = section.AddText();
			text.Style = style1;
			text.Spacings.Top = 5;
			text.Id = "Link2";
			text.AddContent("Previous link", new Siberix.Report.Text.Hyperlink("Link1"));

			text = section.AddText();
			text.Style = style1;
			text.Spacings.Top = 5;
			text.AddContent("Link to www.siberix.com", new Siberix.Report.Text.Hyperlink("http://www.siberix.com"));

			// Publish
			report.Publish("Document.pdf", Siberix.Report.FileFormat.PDF);
			report.Publish("Document.xps", Siberix.Report.FileFormat.XPS);

			// Save
			report.Save("Document.xml");

			// View
			System.Diagnostics.Process process = new System.Diagnostics.Process();
			System.Diagnostics.ProcessStartInfo info = new System.Diagnostics.ProcessStartInfo("Document.pdf");
			process.StartInfo = info;
			process.Start();
		}
	}
}