using System.Collections.Generic;

namespace Siberix.Examples
{
	using System;

	class Example
	{
		public class Action
		{
			public Action()
			{

			}

			public void Do(Siberix.Report.IElement element)
			{
				((Siberix.Report.Text.IText)element).AddContent("...Action!");
			}
		}

		static void Main(string[] args)
		{
			// Report
			Siberix.Report.Report report = new Siberix.Report.Report();

			// Info
			report.Info.Title = "Example";
			report.Info.Author = "Siberix Technologies, Canada";
			report.Info.Creator = "Siberix Report Writer";
			report.Info.Copyright = "2003-2012 Siberix Technologies, Canada";

			// Section
			Siberix.Report.Section.ISection section = report.AddSection();
			section.Size = Siberix.Report.PageSize.Letter;
			section.Spacings.All = 35;

			// Styles
			Siberix.Report.Text.Style style1 = new Siberix.Report.Text.Style(new Siberix.Graphics.Fonts.Arial(12), Siberix.Graphics.Brushes.Black);

			for (int i = 1; i < 51; i++)
			{
				Siberix.Report.Text.IText text = section.AddText();
				text.Id = "Id" + i;
				text.Style = style1;
				text.AddContent("Item " + i);
			}

			ICollection<Siberix.Report.IElement> c = section.Select(element => (element.Type == Siberix.Report.ElementType.Text) && (element.Id.EndsWith("5")));

			foreach (Siberix.Report.IElement element in c)
			{
				((Siberix.Report.Text.IText)element).AddContent("...5th Element!");
			}

			Action action = new Action();

			section.Perform(element => (element.Type == Siberix.Report.ElementType.Text) && (element.Id.StartsWith("Id3")), action.Do);

			// Publish
			report.Publish("Document.pdf", Siberix.Report.FileFormat.PDF);
			report.Publish("Document.xps", Siberix.Report.FileFormat.XPS);

			// Save
			report.Save("Report.xml");

			// View
			System.Diagnostics.Process process = new System.Diagnostics.Process();
			System.Diagnostics.ProcessStartInfo info = new System.Diagnostics.ProcessStartInfo("Document.pdf");
			process.StartInfo = info;
			process.Start();
		}
	}
}