using System;
using System.IO;

namespace Siberix.Examples
{
	class Example
	{
		static void Main(string[] args)
		{
			// Report
			Siberix.Report.Report report = new Siberix.Report.Report();

			// Resolver
			Resolver resolver = new Resolver();

			report.Delegates.GetStyleDelegate = resolver.GetStyle;
			report.Delegates.OnDrawingDelegate = resolver.OnDrawing;

			// Load
			report.Load("../../Example.xml");

			// Publish
			report.Publish("Document.xps", Siberix.Report.FileFormat.XPS);
			report.Publish("Document.pdf", Siberix.Report.FileFormat.PDF);

			// View
			System.Diagnostics.Process process = new System.Diagnostics.Process();
			System.Diagnostics.ProcessStartInfo info = new System.Diagnostics.ProcessStartInfo("Document.pdf");
			process.StartInfo = info;
			process.Start();
		}

		public class Drawing : Siberix.Report.IDrawing
		{
			public string Id
			{
				get
				{
					return "Drawing1";
				}
			}

			public void OnDraw(Siberix.Graphics.IGraphics graphics, float x, float y, float width, float height)
			{
				graphics.Pen = new Siberix.Graphics.Pen(Siberix.Graphics.Colors.Red, 5);
				graphics.DrawLine(x, y, x + width, y + height);
			}
		}

		public class Resolver
		{
			public Siberix.Report.Text.Style GetStyle(string id)
			{
				if (string.IsNullOrEmpty(id))
					return null;

				if (id.Equals("Style5"))
					return new Siberix.Report.Text.Style(new Siberix.Graphics.Fonts.ArialBold(25), Siberix.Graphics.Brushes.DarkBlue);

				return null;
			}

			public Siberix.Report.IDrawing OnDrawing(string id)
			{
				if (string.IsNullOrEmpty(id))
					return null;

				if (id.Equals("Drawing1"))
					return new Drawing();

				return null;
			}
		}
	}
}