namespace Siberix.Examples
{
	class Example
	{
		static void Main(string[] args)
		{
			// Report
			Siberix.Report.Report report = new Siberix.Report.Report();

			report.Delegates.OnMetadataDelegate = delegate(Siberix.Report.IElement element, Siberix.Report.IMetadata metadata)
			{
				if (metadata.Id == "Md1")
				{
					Siberix.Report.Text.IText text = ((Siberix.Report.Text.IText)element);

					text.AddLineBreak();

					Siberix.Report.Text.Style style1 = new Siberix.Report.Text.Style(new Siberix.Graphics.Fonts.Arial(10), Siberix.Graphics.Brushes.DarkBlue);

					text.AddContent(metadata.Properties["Company"], style1);
					text.AddContent(": ", style1);
					text.AddContent(metadata.Properties["Phone"], style1);
				}
			};

			// Load
			report.Load("../../Report.xml");

			// Publish
			report.Publish("Document.pdf", Siberix.Report.FileFormat.PDF);
			report.Publish("Document.xps", Siberix.Report.FileFormat.XPS);

			// Save
			report.Save("Report.xml");

			// View
			System.Diagnostics.Process process = new System.Diagnostics.Process();
			System.Diagnostics.ProcessStartInfo info = new System.Diagnostics.ProcessStartInfo("Document.pdf");
			process.StartInfo = info;
			process.Start();
		}
	}
}