using System;
using System.IO;

namespace Siberix.Examples
{
	class Example
	{
		static void Main(string[] args)
		{
			// Report
			Siberix.Report.Report report = new Siberix.Report.Report();

			// Info
			report.Info.Title = "Example";
			report.Info.Author = "Siberix Technologies, Canada";
			report.Info.Creator = "Siberix Report Writer";
			report.Info.Copyright = " 2003-2012 Siberix Technologies, Canada";

			// Section
			Siberix.Report.Section.ISection section = report.AddSection();
			section.Spacings.All = 20;

			// TIFF
			System.Drawing.Image tiff = System.Drawing.Image.FromFile("../../image.tiff");

			System.Drawing.Imaging.FrameDimension dimension = new System.Drawing.Imaging.FrameDimension(tiff.FrameDimensionsList[0]);

			int i = 0;
			int cnt = tiff.GetFrameCount(dimension);

			while (i < cnt)
			{
				tiff.SelectActiveFrame(dimension, i);

				Siberix.Wrappers.GDIPlus.Image img = new Wrappers.GDIPlus.Image(tiff, Graphics.PixelFormat.BW);

				Siberix.Report.IImage image = section.AddImage(img);

				image.Width = new Siberix.Report.RelativeWidth(95);
				
            	//image.Width = new Siberix.Report.FixedWidth(tiff.Width / tiff.HorizontalResolution * 72);
	            //image.Height = new Siberix.Report.FixedHeight(tiff.Height / tiff.VerticalResolution * 72);

				i++;
			}

			// Publish
			report.Publish("Document.pdf", Siberix.Report.FileFormat.PDF);

			// View
			System.Diagnostics.Process process = new System.Diagnostics.Process();
			System.Diagnostics.ProcessStartInfo info = new System.Diagnostics.ProcessStartInfo("Document.pdf");
			process.StartInfo = info;
			process.Start();
		}
	}
}