using System;

namespace Siberix.Examples
{
	class Example
	{
		static void Main(string[] args)
		{
			// Report
			Siberix.Report.Report report = new Siberix.Report.Report();

			// Info
			report.Info.Title = "Example";
			report.Info.Author = "Siberix Technologies, Canada";
			report.Info.Creator = "Siberix Report Writer";
			report.Info.Copyright = "2003-2012 Siberix Technologies, Canada";

			// Styles
			Siberix.Report.Text.Style style = new Siberix.Report.Text.Style(new Siberix.Graphics.Fonts.TimesNewRomanBold(50), new Siberix.Graphics.LinearGradientBrush(Siberix.Graphics.Colors.Yellow, Siberix.Graphics.Colors.Red, 15F));

			// Section
			Siberix.Report.Section.ISection section = report.AddSection();
			section.Size = Siberix.Report.PageSize.Letter;
			section.Spacings.All = 35;
			section.Borders = new Siberix.Report.Borders(Siberix.Graphics.Pens.DarkBlue, 5);

			Siberix.Report.Text.IText text = section.AddText();
			text.Style = style;
			text.Spacings.Left = 50;
			text.Spacings.Top = 50;
			text.AddContent("1");

			// Landscape Section
			section = report.AddSection();
			section.Size = Siberix.Report.PageSize.Letter;
			section.Orientation = Siberix.Report.Orientation.Landscape;
			section.Spacings.All = 35;
			section.Borders = new Siberix.Report.Borders(Siberix.Graphics.Pens.DarkBlue, 5);

			text = section.AddText();
			text.Style = style;
			text.Spacings.Left = 50;
			text.Spacings.Top = 50;
			text.AddContent("2");

			// Publish
			report.Publish("Document.pdf", Siberix.Report.FileFormat.PDF);
			report.Publish("Document.xps", Siberix.Report.FileFormat.XPS);

			// Save
			report.Save("Report.xml");

			// View
			System.Diagnostics.Process process = new System.Diagnostics.Process();
			System.Diagnostics.ProcessStartInfo info = new System.Diagnostics.ProcessStartInfo("Document.pdf");
			process.StartInfo = info;
			process.Start();

			// Print - You have to provide a real name of the printer and assign appropriate access permissions for the ASPNET account to print reports in ASP.NET
			report.Print(null);
		}
	}
}