using System;
using System.IO;

namespace Siberix.Examples
{
	class Example
	{
		static void Main(string[] args)
		{
			// Report
			Siberix.Report.Report report = new Siberix.Report.Report();

			// Info
			report.Info.Title = "Example";
			report.Info.Author = "Siberix Technologies, Canada";
			report.Info.Creator = "Siberix Report Writer";
			report.Info.Copyright = "2003-2010 Siberix Technologies, Canada";

			System.Xml.Xsl.XslCompiledTransform xslt = new System.Xml.Xsl.XslCompiledTransform();
			xslt.Load("../../Transform.xsl");

			System.Xml.XmlTextReader xmlReader = new System.Xml.XmlTextReader("../../Example.xml");

			System.IO.MemoryStream ms = new System.IO.MemoryStream();
			System.Xml.XmlTextWriter xmlWriter = new System.Xml.XmlTextWriter(ms, System.Text.Encoding.UTF8);
			xmlWriter.Formatting = System.Xml.Formatting.Indented;

			xslt.Transform(xmlReader, xmlWriter);

			ms.Position = 0;
			report.Load(ms);
			ms.Close();

			// Publish
			report.Publish("XSLT.pdf", Siberix.Report.FileFormat.PDF);
			report.Publish("XSLT.xps", Siberix.Report.FileFormat.XPS);

			// View
			System.Diagnostics.Process process = new System.Diagnostics.Process();
			System.Diagnostics.ProcessStartInfo info = new System.Diagnostics.ProcessStartInfo("XSLT.pdf");
			process.StartInfo = info;
			process.Start();
		}
	}
}