Imports System
Imports System.Collections.Generic

Module Example

    Sub Main()

        ' Report
        Dim report As Siberix.Report.Report = New Siberix.Report.Report()

        ' Info
        report.Info.Title = "Example"
        report.Info.Author = "Siberix Technologies, Canada"
        report.Info.Creator = "Siberix Report Writer"
        report.Info.Copyright = "2003-2012 Siberix Technologies, Canada"

        ' Section
        Dim section As Siberix.Report.Section.ISection = report.AddSection()
        section.Size = Siberix.Report.PageSize.Letter
        section.Spacings.All = 35

        ' Styles
        Dim style1 As Siberix.Report.Text.Style = New Siberix.Report.Text.Style(New Siberix.Graphics.Fonts.Arial(12), Siberix.Graphics.Brushes.Black)
        Dim style2 As Siberix.Report.Text.Style = New Siberix.Report.Text.Style(New Siberix.Graphics.Fonts.Arial(12), Siberix.Graphics.Brushes.Red)
        Dim style3 As Siberix.Report.Text.Style = New Siberix.Report.Text.Style(New Siberix.Graphics.Fonts.Arial(12), Siberix.Graphics.Brushes.Green)

        ' List
        Dim list As Siberix.Report.List.IList = section.AddList()
        list.Indent = 20
        list.Interval = 5
        list.Bullets.Type = Siberix.Report.BulletType.Decimal
        list.Bullets.Template = "{0}."
        list.Bullets.Style = style1

        Dim item As Siberix.Report.List.IItem = list.AddItem()

        Dim text As Siberix.Report.Text.IText = item.AddText()
        text.Style = style1
        text.AddContent("List item")

        item = list.AddItem()

        text = item.AddText()
        text.Style = style1
        text.AddContent("List item")

        Dim sublist As Siberix.Report.List.IList = item.AddList()
        sublist.Spacings.Vertical = 5
        sublist.Indent = 20
        sublist.Interval = 5
        sublist.Bullets.Type = Siberix.Report.BulletType.SmallLetters
        sublist.Bullets.Template = "{0})"
        sublist.Bullets.Style = style2

        item = sublist.AddItem()

        text = item.AddText()
        text.Style = style1
        text.AddContent("Sublist item")

        item = sublist.AddItem()

        text = item.AddText()
        text.Style = style1
        text.AddContent("Sublist item")

        item = sublist.AddItem()

        text = item.AddText()
        text.Style = style1
        text.AddContent("Sublist item")

        item = list.AddItem()

        text = item.AddText()
        text.Style = style1
        text.AddContent("List item")

        sublist = item.AddList()
        sublist.Spacings.Vertical = 5
        sublist.Indent = 15
        sublist.Interval = 5
        sublist.Bullets.Type = Siberix.Report.BulletType.Square
        sublist.Bullets.Template = "{0}"
        sublist.Bullets.Style = style2

        Dim rnd As Random = New Random()

        For i As Integer = 0 To 15

            item = sublist.AddItem()

            text = item.AddText()
            text.Style = style1
            text.AddContent("Sublist item " + (i + 1).ToString())
            text.Spacings.Bottom = 5

            Dim group As Siberix.Report.IGroup = item.AddGroup()
            group.Width = New Siberix.Report.RelativeWidth(rnd.Next(50, 100))
            group.Background.Brush = Siberix.Graphics.Brushes.Lavender
            group.Borders = New Siberix.Report.Borders(Siberix.Graphics.Pens.Black, 5)
            group.Paddings.All = 5
            group.Spacings.Bottom = 5

            text = group.AddText()
            text.Style = style1
            text.Alignment = Siberix.Report.TextAlignment.Justify
            text.AddContent("Amarone is produced in the Veneto region of northern Italy using a unique winemaking technique. Newly harvested grapes are laid on straw mats and left to dry over the course of several months - resulting in a wine with a very distinctive")
            text.AddContent(" ""raisiny"" ", style3)
            text.AddContent("flavor.")

        Next

        ' Publish
        report.Publish("Document.pdf", Siberix.Report.FileFormat.PDF)
        report.Publish("Document.xps", Siberix.Report.FileFormat.XPS)

        ' Save
        report.Save("Report.xml")

        ' View
        Dim process As System.Diagnostics.Process = New System.Diagnostics.Process()
        Dim info As System.Diagnostics.ProcessStartInfo = New System.Diagnostics.ProcessStartInfo("Document.pdf")
        process.StartInfo = info
        process.Start()

    End Sub

End Module
