Module Example

    Sub Main()

        ' Report
        Dim report As Siberix.Report.Report = New Siberix.Report.Report()

        report.Delegates.OnMetadataDelegate = Sub(element As Siberix.Report.IElement, metadata As Siberix.Report.IMetadata)
                                                  If metadata.Id = "Md1" Then
                                                      Dim text As Siberix.Report.Text.IText = CType(element, Siberix.Report.Text.IText)

                                                      text.AddLineBreak()

                                                      Dim style1 As Siberix.Report.Text.Style = New Siberix.Report.Text.Style(New Siberix.Graphics.Fonts.Arial(10), Siberix.Graphics.Brushes.DarkBlue)

                                                      text.AddContent(metadata.Properties("Company"), style1)
                                                      text.AddContent(": ", style1)
                                                      text.AddContent(metadata.Properties("Phone"), style1)
                                                  End If
                                              End Sub

        ' Load
        report.Load("../../Report.xml")

        ' Publish
        report.Publish("Document.pdf", Siberix.Report.FileFormat.PDF)
        report.Publish("Document.xps", Siberix.Report.FileFormat.XPS)

        ' Save
        report.Save("Report.xml")

        ' View
        Dim process As System.Diagnostics.Process = New System.Diagnostics.Process()
        Dim info As System.Diagnostics.ProcessStartInfo = New System.Diagnostics.ProcessStartInfo("Document.pdf")
        process.StartInfo = info
        process.Start()

    End Sub

End Module
