Imports System
Imports System.IO

Module Example

    Sub Main()

        ' Report
        Dim report As Siberix.Report.Report = New Siberix.Report.Report()

        ' Info
        report.Info.Title = "Example"
        report.Info.Author = "Siberix Technologies, Canada"
        report.Info.Creator = "Siberix Report Writer"
        report.Info.Copyright = "2003-2010 Siberix Technologies, Canada"

        Dim xslt As System.Xml.Xsl.XslCompiledTransform = New System.Xml.Xsl.XslCompiledTransform()
        xslt.Load("../../Transform.xsl")

        Dim xmlReader As System.Xml.XmlTextReader = New System.Xml.XmlTextReader("../../Example.xml")

        Dim ms As System.IO.MemoryStream = New System.IO.MemoryStream()
        Dim xmlWriter As System.Xml.XmlTextWriter = New System.Xml.XmlTextWriter(ms, System.Text.Encoding.UTF8)
        xmlWriter.Formatting = System.Xml.Formatting.Indented

        xslt.Transform(xmlReader, xmlWriter)

        ms.Position = 0
        report.Load(ms)
        ms.Close()

        ' Publish
        report.Publish("XSLT.pdf", Siberix.Report.FileFormat.PDF)
        report.Publish("XSLT.xps", Siberix.Report.FileFormat.XPS)

        ' View
        Dim process As System.Diagnostics.Process = New System.Diagnostics.Process()
        Dim info As System.Diagnostics.ProcessStartInfo = New System.Diagnostics.ProcessStartInfo("XSLT.pdf")
        process.StartInfo = info
        process.Start()

    End Sub

End Module
